Subject: Re: bug#68893: 30.0.50; pixel-fill-region errors when folding message headers in Gnus

From: Eli Zaretskii <[email-masked]>
Date: Fri, 02 Feb 2024 17:52:48 +0200

merge 68893 67791
thanks

> Date: Fri, 02 Feb 2024 16:33:00 +0100
> From:  Stephen Berman via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> When I type `t' (gnus-summary-toggle-header) on many (but not all)
> articles in the Gnus Summary buffer, I get an error in pixel-fill-region
> that the indentation is wider than the fill width.  I can reproduce the
> error as follows:
> 
> 0. emacs -Q
> 1. Enable debug-on-error.
> 2. M-x gnus, type `y' at the prompt, then type `B RET news.gmane.io
>    RET', then `C-s emacs.bugs RET RET 1 RET' to enter the Gnus Summary
>    buffer showing the latest article in the gnu.emacs.bugs group.  Then
>    type `j' and at the prompt paste the following Message-ID (of an
>    article that reliably induces the error) into the minibuffer:
>    <[email-masked]>
> 3. Type `t'.  This raises an error and produces the following backtrace:

This is another duplicate of bug#67791.  Please see there for the
analysis and the proposed solutions.

Thanks.